Skip to main content

Get Macro Package

GET 

/trifactaClassic/v1/macros/:id/package

Authentication scope: Workspace

Accessible using: OAuth 2.0 API Tokens

Retrieves the specified macro by its unique id. Response body is the contents of the package, which is an importable version of the macro definition.

✅ TIP: The response body can be pasted as the request when you import the macro into a different environment. For more information, see Import Macro Package. ℹ️ NOTE: Modification of the macro definition is not supported outside of the Alteryx Analytics Cloud.

Request​

Responses​

Success